package com.ruoyi.mingxue.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 客户收藏对象 b_customer_favorites
 * 
 * @author mingxue
 * @date 2021-07-25
 */
public class CustomerFavorites extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 客户 */
    @Excel(name = "客户")
    private String customercode;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 科目 */
    @Excel(name = "科目")
    private String course;

    /** 关联ID */
    @Excel(name = "关联ID")
    private String refid;

    /** 题型 */
    @Excel(name = "题型")
    private String reftype;

    /** 收藏时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "收藏时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date time;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;
    
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCustomercode(String customercode) 
    {
        this.customercode = customercode;
    }

    public String getCustomercode() 
    {
        return customercode;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setCourse(String course) 
    {
        this.course = course;
    }

    public String getCourse() 
    {
        return course;
    }
    public void setRefid(String refid) 
    {
        this.refid = refid;
    }

    public String getRefid() 
    {
        return refid;
    }
    public void setReftype(String reftype) 
    {
        this.reftype = reftype;
    }

    public String getReftype() 
    {
        return reftype;
    }
    public void setTime(Date time) 
    {
        this.time = time;
    }

    public Date getTime() 
    {
        return time;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("customercode", getCustomercode())
            .append("type", getType())
            .append("course", getCourse())
            .append("refid", getRefid())
            .append("reftype", getReftype())
            .append("time", getTime())
            .append("status", getStatus())
            .toString();
    }
}
